Package org.springframework.test.web.servlet

# Interface DispatcherServletCustomizer

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface DispatcherServletCustomizer
Strategy interface for customizing `DispatcherServlet` instances that are managed by `MockMvc`.

Since:
  4.3.4
Author:
  Stephane Nicoll

## Method Summary

Modifier and Type
Method
Description
`void`
`customize(org.springframework.web.servlet.DispatcherServlet dispatcherServlet)`
Customize the supplied `DispatcherServlet` before it is initialized.

## Method Details

### customize

void customize(org.springframework.web.servlet.DispatcherServlet dispatcherServlet)
Customize the supplied `DispatcherServlet` before it is initialized.

Parameters:
  `dispatcherServlet` - the dispatcher servlet to customize